<!DOCTYPE html>
<html>

<head>
    <!--
      JavaScript 6th Edition
      Chapter 3
      Hands-on Project 3-1

      Author: Daniel Findlay
      Date:February 12

      Filename: index.htm
   -->
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width,initial-scale=1.0">
    <title>Hands-on Project 3-1</title>
    <link rel="stylesheet" href="styles.css" />
    <script src="modernizr.custom.05819.js"></script>
</head>

<body>
    <header>
        <h1>
         Hands-on Project 3-1
      </h1>
    </header>
    <article>
        <h2>Lunch selections</h2>
        <form>
            <input type="checkbox" id="item1" value="8" />
            <label for="item1">Fried chicken ($8.00)</label>
            <input type="checkbox" id="item2" value="10" />
            <label for="item2">Fried halibut ($10.00)</label>
            <input type="checkbox" id="item3" value="8" />
            <label for="item3">Hamburger ($8.00)</label>
            <input type="checkbox" id="item4" value="13" />
            <label for="item4">Grilled salmon ($13.00)</label>
            <input type="checkbox" id="item5" value="6" />
            <label for="item5">Side salad ($6.00)</label>
            <input type="button" value="Submit" id="sButton" />
        </form>
        <div>
            <p id="total"></p>
        </div>
    </article>
    <script>
    function calcTotal() {
        var itemTotal = 0;
        var items = document.getElementsByTagName("input");
        for (var i = 0; i < 5; i++) {
            if (items[i].checked) {
                itemTotal += (items[i].value * 1);
            }
        }
        document.getElementById("total").innerHTML = "Your Order Total is $" + itemTotal + ".00";
    }
    var submitButton = document.getElementById("sButton");
    if (submitButton.addEventListener) {
        submitButton.addEventListener("click", calcTotal, false);
    } else if (submitButton.attachEvent) {
        submitButton.attachEvent("onclick", calcTotal);
    }
    </script>
</body>

</html>